CON
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000
  
  '-------------------------------------------------------------------------
  ' Pin defs
  RLED_PIN = 27
  '-------------
  OUT = 1
  IN = 0
  MIN_CNT = 400 ' minimum value for waitcnt
  '------------------

OBJ
  clk : "Clock"
  bs2 : "BS2_Functions"
  lcd : "Debug_Lcd"

VAR
  long messages[10] 

PUB main | i 
  clk.init(_XINFREQ)
  clk.pausemsec(250)
  dira[RLED_PIN] := OUT
  outa[RLED_PIN] := 1
  startup
  repeat
      
    
PRI startup
  bs2.start(31,30)  
  lcd.init(15,19200,4)
  lcd.backlight(true)
  lcd.cls
    
PRI draw_lcd | i
  lcd.cls
  repeat i from 0 to MAX_IR_SENSORS - 1
    dira[ir_pins[i]] := IN
  repeat  
    lcd.home
    lcd.decx(bs2.count(1,100),2)      
    lcd.putc(" ")    